Skip to main content
DELETE
/
platform
/
external-accounts
/
{externalAccountId}
cURL
curl --request DELETE \
  --url https://api.lightspark.com/grid/2025-10-13/platform/external-accounts/{externalAccountId} \
  --header 'Authorization: Basic <encoded-value>'
import LightsparkGrid from '@lightsparkdev/grid';

const client = new LightsparkGrid({
username: process.env['GRID_CLIENT_ID'], // This is the default and can be omitted
password: process.env['GRID_CLIENT_SECRET'], // This is the default and can be omitted
});

await client.platform.externalAccounts.delete('externalAccountId');
package com.lightspark.grid.example

import com.lightspark.grid.client.LightsparkGridClient
import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient
import com.lightspark.grid.models.platform.externalaccounts.ExternalAccountDeleteParams

fun main() {
val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

client.platform().externalAccounts().delete("externalAccountId")
}
{
  "status": 401,
  "message": "<string>",
  "details": {}
}
{
"status": 404,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

externalAccountId
string
required

System-generated unique external account identifier

Response

External account deleted successfully